Subject: Re: [PATCH net-next 10/10] net: lan743x: convert to phylink managed EEE

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 10 Dec 2024 10:07:49 +0000

On Tue, Dec 10, 2024 at 04:37:27AM +0100, Andrew Lunn wrote:
> > +	adapter->phylink_config.lpi_capabilities = MAC_100FD | MAC_1000FD;
> 
> Is EEE not defined for 10Mbps?

According to 802.3, 10BASE-Te supports it. Phylib only has support for
10BASE-T1L (not mentioned in my 802.3 copy) using it, and I don't think
LAN743x is used with such PHYs.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!